Bug 1029830 - file command incorrectly identifies the ASCII text file as bzip compressed file
file command incorrectly identifies the ASCII text file as bzip compressed file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: file (Show other bugs)
5.6
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jan Kaluža
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 05:20 EST by Ramandeep Arora
Modified: 2016-11-07 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 12:21:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramandeep Arora 2013-11-13 05:20:04 EST
Description of problem:
"file" utility identifies incorrectly a text file

Version-Release number of selected component (if applicable):
file-4.17

How reproducible:
Everytime for version file-4.17

Steps to Reproduce:
file-4.17 can't identify ASCII-text file starting with 'BZ' letters. It is identified as bzip compressed data

1. Create a "test" file with some text and keep the starting letters as "BZ" like "BZaljdnlnladlkvnlkanfdlkvnadf"

2. Save and run file command on it
   # file test

Actual results:

bz: bzip compressed data, version:

Expected results:

bz: ASCII text

Additional info:

Tested on the version file-5.04 available with RHEL-6 and it works fine

Note You need to log in before you can comment on or make changes to this bug.